Index: make/custom/brs5l.cfg
===================================================================
--- make/custom/brs5l.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/brs5l.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -10,4 +10,5 @@
 #  
 
+RTEMS_BOARD_MODEL=BRS5L
 RTEMS_LINKCMDS=linkcmds.brs5l
 
Index: make/custom/gen5200.cfg
===================================================================
--- make/custom/gen5200.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/gen5200.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -17,5 +17,6 @@
 #
 CPU_CFLAGS = -mcpu=603e -mstrict-align \
-             -meabi -msdata -fno-common
+             -meabi -msdata -fno-common \
+             -D$(RTEMS_BOARD_MODEL)
 
 # optimize flag: typically -O2
Index: make/custom/gen83xx.cfg
===================================================================
--- make/custom/gen83xx.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/gen83xx.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -22,8 +22,8 @@
 CPU_CFLAGS = -mcpu=603e -mstrict-align -fno-strict-aliasing \
              -meabi -msdata -fno-common \
-             -D$(RTEMS_83XX_DERIVATE)
+             -D$(RTEMS_BOARD_MODEL) -D$(RTEMS_83XX_DERIVATE)
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O2 -g -fno-keep-inline-functions -funit-at-a-time
+CFLAGS_OPTIMIZE_V = -O2 -g -fno-keep-inline-functions -funit-at-a-time -W -Wno-unused
 
 LDFLAGS += -qnolinkcmds -T $(RTEMS_LINKCMDS)
Index: make/custom/genmcf548x.cfg
===================================================================
--- make/custom/genmcf548x.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/genmcf548x.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -13,5 +13,5 @@
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it. 
-CPU_CFLAGS = -mcfv4e -Wa,-memac
+CPU_CFLAGS = -mcfv4e -D$(RTEMS_BOARD_MODEL) -Wa,-memac
 
 # optimize flag: typically -O2
Index: make/custom/hsc_cm01.cfg
===================================================================
--- make/custom/hsc_cm01.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/hsc_cm01.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -10,4 +10,5 @@
 #  
 
+RTEMS_BOARD_MODEL=HSC_CM01
 RTEMS_83XX_DERIVATE=MPC8349
 RTEMS_LINKCMDS=linkcmds.hsc_cm01
Index: make/custom/icecube.cfg
===================================================================
--- make/custom/icecube.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/icecube.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -13,4 +13,5 @@
 #  
 
+RTEMS_BOARD_MODEL=icecube
 RTEMS_LINKCMDS=linkcmds.icecube
 
Index: make/custom/m5484FireEngine.cfg
===================================================================
--- make/custom/m5484FireEngine.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/m5484FireEngine.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -10,4 +10,6 @@
 #  
 
+RTEMS_BOARD_MODEL=M5484FIREENGINE
+RTEMS_54XX_DERIVATE=MCF5484
 RTEMS_LINKCMDS=linkcmds
 
Index: make/custom/mpc5566evb.cfg
===================================================================
--- make/custom/mpc5566evb.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/mpc5566evb.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -8,3 +8,5 @@
 #
 
+RTEMS_BOARD_MODEL = MPC5566EVB
+
 include $(RTEMS_ROOT)/make/custom/mpc55xx.cfg
Index: make/custom/mpc55xx.cfg
===================================================================
--- make/custom/mpc55xx.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/mpc55xx.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -18,5 +18,5 @@
 # FIXME
 CPU_CFLAGS = -mcpu=8540 -meabi -msdata -fno-common -funit-at-a-time \
-    -D__ppc_generic -mstrict-align
+    -D__ppc_generic -mstrict-align -D$(RTEMS_BOARD_MODEL)
 
 CFLAGS_OPTIMIZE_V = -O2 -g -fno-keep-inline-functions
Index: make/custom/mpc8313erdb.cfg
===================================================================
--- make/custom/mpc8313erdb.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/mpc8313erdb.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -8,4 +8,5 @@
 #
 
+RTEMS_BOARD_MODEL=MPC8313ERDB
 RTEMS_83XX_DERIVATE=MPC8349
 RTEMS_LINKCMDS=linkcmds.mpc8313erdb
Index: make/custom/mpc8349eamds.cfg
===================================================================
--- make/custom/mpc8349eamds.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/mpc8349eamds.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -10,4 +10,5 @@
 #  
 
+RTEMS_BOARD_MODEL=MPC8349EAMDS
 RTEMS_83XX_DERIVATE=MPC8349
 RTEMS_LINKCMDS=linkcmds.mpc8349eamds
Index: make/custom/pgh360.cfg
===================================================================
--- make/custom/pgh360.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/pgh360.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -7,4 +7,5 @@
 RTEMS_CPU=m68k
 RTEMS_CPU_MODEL=m68360
+RTEMS_BOARD_MODEL=PGH360
 
 include $(RTEMS_ROOT)/make/custom/default.cfg
@@ -15,5 +16,5 @@
 # This contains the compiler options necessary to select the CPU model
 # and (hopefully) optimize for it.
-CPU_CFLAGS = -mcpu32
+CPU_CFLAGS = -mcpu32 -D$(RTEMS_BOARD_MODEL)
 
 # optimize flag: typically -O2
Index: make/custom/pghplus.cfg
===================================================================
--- make/custom/pghplus.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/pghplus.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -8,3 +8,4 @@
 #  
 
+RTEMS_TQM_MODEL=pghplus
 include $(RTEMS_ROOT)/make/custom/tqm8xx.cfg
Index: make/custom/pm520_cr825.cfg
===================================================================
--- make/custom/pm520_cr825.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/pm520_cr825.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -11,4 +11,5 @@
 #  
 
+RTEMS_BOARD_MODEL=PM520_CR825
 RTEMS_LINKCMDS=linkcmds.pm520
 
Index: make/custom/pm520_ze30.cfg
===================================================================
--- make/custom/pm520_ze30.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/pm520_ze30.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -11,4 +11,5 @@
 #  
 
+RTEMS_BOARD_MODEL=PM520_ZE30
 RTEMS_LINKCMDS=linkcmds.pm520
 
Index: make/custom/tqm8xx.cfg
===================================================================
--- make/custom/tqm8xx.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/tqm8xx.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -11,5 +11,5 @@
 RTEMS_BSP_FAMILY=tqm8xx
 
-CPU_CFLAGS = -mcpu=860 -Dmpc860 \
+CPU_CFLAGS = -mcpu=860 -Dmpc860 -D$(RTEMS_TQM_MODEL) \
              -mstrict-align -fno-strict-aliasing \
              -meabi -msdata -fno-common
Index: make/custom/tqm8xx_stk8xx.cfg
===================================================================
--- make/custom/tqm8xx_stk8xx.cfg	(revision edc1ce3ceb83bbaba8db202a29d1c95700b63e98)
+++ make/custom/tqm8xx_stk8xx.cfg	(revision f59f648917ac08c87b2a883fdcf4c4660a901aa8)
@@ -8,3 +8,4 @@
 #  
 
+RTEMS_TQM_MODEL=tqm8xx_stk8xx
 include $(RTEMS_ROOT)/make/custom/tqm8xx.cfg
